Summary:   OpenSSL - Secure Sockets Layer and cryptography shared libraries and tools
Name:      openssl
Version:   0.9.5a
Release:   1
URL:       http://www.openssl.org
Source:    http://www.openssl.org/source/%{name}-%{version}.tar.gz
Copyright: Freely distributable
Group:     System Environment/Libraries
Provides:  SSL
Conflicts: SSLeay
BuildRoot: /var/tmp/%{name}-root

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide. The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation.

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes.

This package contains the base OpenSSL cryptography and SSL/TLS
libraries and tools.

Note: Built without RC5 and IDEA ciphers to avoid patent infringement.

%package devel
Summary:  OpenSSL - Secure Sockets Layer and cryptography static libraries and headers
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the the OpenSSL cryptography and SSL/TLS
static libraries and header files required when developing applications.

Note: Built without RC5 and IDEA ciphers to avoid patent infringement.

%prep
%setup -q

%build
./Configure no-rc5 no-idea --prefix=/usr --openssldir=/var/lib/ssl linux-elf
make linux-shared
LD_LIBRARY_PATH=`pwd` make
# For a build test remove the next remark
#LD_LIBRARY_PATH=`pwd` make test

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=$RPM_BUILD_ROOT install

# For people inside the USA, remove the remark
#install -m644 rsaref/rsaref.h $RPM_BUILD_ROOT/usr/include/openssl
#install -m644 libRSAglue.a $RPM_BUILD_ROOT/usr/lib

cp -fd lib*.so* $RPM_BUILD_ROOT/usr/lib
strip $RPM_BUILD_ROOT/usr/bin/openssl
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*

mv $RPM_BUILD_ROOT/var/lib/ssl/man $RPM_BUILD_ROOT/usr
gzip $RPM_BUILD_ROOT/usr/man/man[0-9]/*

%post
echo "Updating run-time link bindings..."
/sbin/ldconfig

%postun
echo "Updating run-time link bindings..."
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CHANGES.SSLeay FAQ INSTALL LICENSE NEWS README doc
/usr/bin
/usr/lib/lib*.so.*
/usr/man/man1
/usr/man/man5
/var/lib/ssl/misc
%config /var/lib/ssl/openssl.cnf
%dir /var/lib/ssl/certs
%dir /var/lib/ssl/private

%files devel
%defattr(-,root,root)
%doc demos
/usr/include/openssl
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/man/man3
/usr/man/man7

%changelog
* Wed May 03 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
  [0.9.5a-1]
- moved OpenSSL directory to /var/lib/ssl to be consistent with RedHat
- included gziped man pages

* Sun Nov 28 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-3]
- config file moved to /var/ssl due to problems when it stays in /etc

* Tue Aug 17 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-2]
- the source rpm was corrupt, so this is just a rerelase

* Wed Aug 11 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-1]

* Sun Jun 20 1999 Arne Coucheron <arneco@online.no>
  [0.9.3a-1]
- several changes

